package com.sdtool.common.entity.design;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

import java.util.ArrayList;
import java.util.List;

/**
 * 设计订单,由模板转化而来
 */
public class DesignOrder extends BaseEntity {
    @RColumn("id")
    @Comment("")
    private long id;

    @RColumn("idtemplate")
    @Comment("模板id")
    private long idTemplate;

    @RColumn("useridentity")
    @Comment("用户id")
    private String userIdentity;

    @RColumn("ordername")
    @Comment("订单名称")
    private String orderName;

    @RColumn("backgroundpath")
    @Comment("背景图片")
    private String backgroundPath;

    @RColumn("viewthumbpath")
    @Comment("缩略图")
    private String viewThumbPath;

    @RColumn("canvasheight")
    @Comment("画布高(mm)")
    private double canvasHeight;

    @RColumn("canvaswidth")
    @Comment("画布宽(mm)")
    private double canvasWidth;

    @RColumn("breedheight")
    @Comment("拼版尺寸高")
    private double breedHeight;

    @RColumn("breedwidth")
    @Comment("拼版尺寸宽")
    private double breedWidth;

    @RColumn("productidentity")
    @Comment("产品id,暂时手传")
    private String productIdentity;

    @Comment("生成的pdf下载地址")
    @RColumn("pdfdownloadurl")
    private String pdfDownloadUrl;

    @RColumn("voidflag")
    @Comment("")
    private int voidFlag;

    @RColumn("jsoncontent")
    @Comment("模板属性json,数据库记录的是文件链接")
    private String jsonContent;

    @Comment("元素")
    private List<DesignOrderItem> itemList = new ArrayList<>();

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getUserIdentity() {
        return userIdentity;
    }

    public void setUserIdentity(String userIdentity) {
        this.userIdentity = userIdentity;
    }

    public long getIdTemplate() {
        return idTemplate;
    }

    public void setIdTemplate(long idTemplate) {
        this.idTemplate = idTemplate;
    }

    public String getOrderName() {
        return orderName;
    }

    public void setOrderName(String orderName) {
        this.orderName = orderName;
    }

    public String getBackgroundPath() {
        return backgroundPath;
    }

    public void setBackgroundPath(String backgroundPath) {
        this.backgroundPath = backgroundPath;
    }

    public String getViewThumbPath() {
        return viewThumbPath;
    }

    public void setViewThumbPath(String viewThumbPath) {
        this.viewThumbPath = viewThumbPath;
    }

    public double getCanvasHeight() {
        return canvasHeight;
    }

    public void setCanvasHeight(double canvasHeight) {
        this.canvasHeight = canvasHeight;
    }

    public double getCanvasWidth() {
        return canvasWidth;
    }

    public void setCanvasWidth(double canvasWidth) {
        this.canvasWidth = canvasWidth;
    }

    public double getBreedHeight() {
        return breedHeight;
    }

    public void setBreedHeight(double breedHeight) {
        this.breedHeight = breedHeight;
    }

    public double getBreedWidth() {
        return breedWidth;
    }

    public void setBreedWidth(double breedWidth) {
        this.breedWidth = breedWidth;
    }

    public String getProductIdentity() {
        return productIdentity;
    }

    public void setProductIdentity(String productIdentity) {
        this.productIdentity = productIdentity;
    }

    public int getVoidFlag() {
        return voidFlag;
    }

    public void setVoidFlag(int voidFlag) {
        this.voidFlag = voidFlag;
    }

    public String getJsonContent() {
        return jsonContent;
    }

    public void setJsonContent(String jsonContent) {
        this.jsonContent = jsonContent;
    }

    public List<DesignOrderItem> getItemList() {
        return itemList;
    }

    public void setItemList(List<DesignOrderItem> itemList) {
        this.itemList = itemList;
    }

    public String getPdfDownloadUrl() {
        return pdfDownloadUrl;
    }

    public void setPdfDownloadUrl(String pdfDownloadUrl) {
        this.pdfDownloadUrl = pdfDownloadUrl;
    }
}
